Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class MatchParameters.Standard

    java.lang.Object
      com.bbn.openmap.geo.MatchParameters.Standard

All Implemented Interfaces:
  MatchParameters

Enclosing class:
  MatchParameters

public static class MatchParameters.Standard
extends java.lang.Object
implements MatchParameters

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.MatchParameters
`MatchParameters.Standard`

Field Summary

Fields inherited from interface com.bbn.openmap.geo.MatchParameters
`ROUTE_DEFAULT, STRICT`

Constructor Summary
`MatchParameters.Standard(double hr)`

Method Summary
`double` | `horizontalRange()` return the horizontal deviation (range) to consider matching.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchParameters.Standard

    public MatchParameters.Standard(double hr)

Method Detail

### horizontalRange

    public double horizontalRange()

  Description copied from interface: `MatchParameters`
  return the horizontal deviation (range) to consider matching. The value is in radians. 0.0 implies strict intersection. Note that if a RegionIndex is being used, then this value probably must be no larger than the index's margin to avoid missing regions that are near index boundaries.

  Specified by:
    `horizontalRange` in interface `MatchParameters`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details